Unit tamb1z_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, AMB1Z_p;

function tamb1z: String;

implementation

function tamb1z: String;
var
I,J,_i,LOW,IGH :Integer;
AI :Array [0..24] of Extended;
SCALE :Array [0..4] of Extended;
const
AR :Array [0..24] of Extended = ( 1.0e0,2.0e0,0.e0,0.e0,0.e0,32.0e0,1.0e0,0.e0,
0.e0,0.e0,0.e0,0.e0,1.0e0,0.e0,0.e0,1.e0,1.e0,
1.e0,1.e0,1.e0,0.e0,0.e0,0.e0,0.e0,1.0e0 );
label
_10;
begin
Result := '';  {   }
for I:=1 to 5 do
 begin
  for J:=1 to 5 do
   begin
_10:
    AI[(I-1)+(J-1)*5] := AR[(I-1)+(J-1)*5];
   end;
 end;
AMB1Z(5,5,AR,AI,LOW,IGH,SCALE);
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['   AR=' + #$0D#$0A]);
for I:=1 to 5 do
 begin
  for J:=1 to 5 do
   begin
    Result := Result + Format(' %20.16f ',
 [AR[(I-1)+(J-1)*5]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['   AI=' + #$0D#$0A]);
for I:=1 to 5 do
 begin
  for J:=1 to 5 do
   begin
    Result := Result + Format(' %20.16f ',
 [AI[(I-1)+(J-1)*5]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['  LOW,IGH']);
Result := Result + Format(' %5d %5d ',[LOW,IGH]) + #$0D#$0A;
Result := Result + Format('%s',['  SCALE=' + #$0D#$0A]);
Result := Result + #$0D#$0A;
for _i:=0 to 4 do
 begin
  Result := Result + Format('%20.16f ',[SCALE[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tamb1z',Result);  {     tamb1z.res }
exit;
end;

end.
